Before upgrading to SolidWorks EPDM 2014

Please be aware that there is a problem with the EPDM 2014 SP0 addin for SolidWorks that will fail to load with SolidWorks 2014 SP1.

Enterprise PDM 2014 officially supports SolidWorks 2014, 2013 and 2012. If you are running EPDM with an older (or newer) version of SolidWorks the Enterprise PDM SolidWorks add-in should show a warning that the version is not supported.

If you are using Enterprise PDM 2014 SP0 (v.14.0.506) this version check is too granular and will also trigger if the installed SolidWorks version is a newer 2014 service pack, such as SW 2014 SP1. When SolidWorks is starting up or if you try to add the Enterprise PDM SolidWorks add-in after it is started, the add-in will not load and the following warning will show

ENOVIA

Workaround:
– Review KB Solution S-064549

The SPR has been addressed in Enterprise PDM 2014 SP1.
– If you cannot upgrade to EPDM 2014 SP1 you can use the hotfix

Leave a Reply